<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/dialogs/LoginDialog/LoginDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_login_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">LoginDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_LOGINDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_LOGINDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QDialog&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;QGroupBox&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &lt;QLabel&gt;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;QLineEdit&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &lt;QPushButton&gt;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &lt;QString&gt;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &lt;QVBoxLayout&gt;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;../SignInDialog/SignInDialog.h&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;../SignUpDialog/SignUpDialog.h&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;../../../models/People/User/User.h&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="class_login_dialog.html">   37</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_login_dialog.html">LoginDialog</a> : <span class="keyword">public</span> QDialog {</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;Q_OBJECT</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_login_dialog.html#abea7ed017f7a6375da3c796ca4a50923">LoginDialog</a>(QDialog *parent = 0);</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#a61f85a712804a0f90556a049d2374956">signIn</a>();</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#a563979f996717d8c6dcb670ba56185b8">signUp</a>();</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#a24d387fe91d0356ec558e8236af490dd">getSignInProcessIsComplete</a>();</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#ac0271d9dcf79af2fffa48796fdef264d">exit</a>();</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;signals:</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#ab9bda39689200bb4b507ae14b181d7bb">sendSignInRequest</a>(QString username, QString password);</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#a7618164c0e6f9b0b4d10c9a49e2e16cd">sendSignInRequestResult</a>(<span class="keywordtype">bool</span> signInOk);</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#a6b5d490c51015e3a40dc8d8552c2e265">sendSignInProcessIsComplete</a>();</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#a175d86057013c4e04d330dd56b2fc494">sendSignUpRequest</a>(<a class="code" href="class_user.html">User</a> user, QString password);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_login_dialog.html#a79cce1a536e74f438753276bee08e891">sendSignUpRequestResult</a>(<span class="keywordtype">bool</span> signUpOk);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;    <span class="comment">// gui</span></div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    QPushButton *userSignInButton;  <span class="comment">// login as user button</span></div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    QPushButton *userSignUpButton;  <span class="comment">// register new user</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    QPushButton *exitButton;  <span class="comment">// exit button</span></div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <a class="code" href="class_sign_up_dialog.html">SignUpDialog</a> *signUpDialog;  <span class="comment">// dialog to register new user</span></div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;    <a class="code" href="class_sign_in_dialog.html">SignInDialog</a> *signInDialog;  <span class="comment">// dialog to login</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    QGroupBox *createUserPanel();</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;};</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="preprocessor">#endif // LIBRARYMGR_LOGINDIALOG_H</span></div><div class="ttc" id="class_login_dialog_html_a6b5d490c51015e3a40dc8d8552c2e265"><div class="ttname"><a href="class_login_dialog.html#a6b5d490c51015e3a40dc8d8552c2e265">LoginDialog::sendSignInProcessIsComplete</a></div><div class="ttdeci">void sendSignInProcessIsComplete()</div></div>
<div class="ttc" id="class_login_dialog_html"><div class="ttname"><a href="class_login_dialog.html">LoginDialog</a></div><div class="ttdef"><b>Definition:</b> LoginDialog.h:37</div></div>
<div class="ttc" id="class_login_dialog_html_ac0271d9dcf79af2fffa48796fdef264d"><div class="ttname"><a href="class_login_dialog.html#ac0271d9dcf79af2fffa48796fdef264d">LoginDialog::exit</a></div><div class="ttdeci">void exit()</div><div class="ttdef"><b>Definition:</b> LoginDialog.cpp:82</div></div>
<div class="ttc" id="class_sign_up_dialog_html"><div class="ttname"><a href="class_sign_up_dialog.html">SignUpDialog</a></div><div class="ttdef"><b>Definition:</b> SignUpDialog.h:37</div></div>
<div class="ttc" id="class_sign_in_dialog_html"><div class="ttname"><a href="class_sign_in_dialog.html">SignInDialog</a></div><div class="ttdef"><b>Definition:</b> SignInDialog.h:35</div></div>
<div class="ttc" id="class_user_html"><div class="ttname"><a href="class_user.html">User</a></div><div class="ttdef"><b>Definition:</b> User.h:31</div></div>
<div class="ttc" id="class_login_dialog_html_a175d86057013c4e04d330dd56b2fc494"><div class="ttname"><a href="class_login_dialog.html#a175d86057013c4e04d330dd56b2fc494">LoginDialog::sendSignUpRequest</a></div><div class="ttdeci">void sendSignUpRequest(User user, QString password)</div></div>
<div class="ttc" id="class_login_dialog_html_a563979f996717d8c6dcb670ba56185b8"><div class="ttname"><a href="class_login_dialog.html#a563979f996717d8c6dcb670ba56185b8">LoginDialog::signUp</a></div><div class="ttdeci">void signUp()</div><div class="ttdef"><b>Definition:</b> LoginDialog.cpp:48</div></div>
<div class="ttc" id="class_login_dialog_html_ab9bda39689200bb4b507ae14b181d7bb"><div class="ttname"><a href="class_login_dialog.html#ab9bda39689200bb4b507ae14b181d7bb">LoginDialog::sendSignInRequest</a></div><div class="ttdeci">void sendSignInRequest(QString username, QString password)</div></div>
<div class="ttc" id="class_login_dialog_html_abea7ed017f7a6375da3c796ca4a50923"><div class="ttname"><a href="class_login_dialog.html#abea7ed017f7a6375da3c796ca4a50923">LoginDialog::LoginDialog</a></div><div class="ttdeci">LoginDialog(QDialog *parent=0)</div><div class="ttdef"><b>Definition:</b> LoginDialog.cpp:21</div></div>
<div class="ttc" id="class_login_dialog_html_a24d387fe91d0356ec558e8236af490dd"><div class="ttname"><a href="class_login_dialog.html#a24d387fe91d0356ec558e8236af490dd">LoginDialog::getSignInProcessIsComplete</a></div><div class="ttdeci">void getSignInProcessIsComplete()</div><div class="ttdef"><b>Definition:</b> LoginDialog.cpp:86</div></div>
<div class="ttc" id="class_login_dialog_html_a79cce1a536e74f438753276bee08e891"><div class="ttname"><a href="class_login_dialog.html#a79cce1a536e74f438753276bee08e891">LoginDialog::sendSignUpRequestResult</a></div><div class="ttdeci">void sendSignUpRequestResult(bool signUpOk)</div></div>
<div class="ttc" id="class_login_dialog_html_a7618164c0e6f9b0b4d10c9a49e2e16cd"><div class="ttname"><a href="class_login_dialog.html#a7618164c0e6f9b0b4d10c9a49e2e16cd">LoginDialog::sendSignInRequestResult</a></div><div class="ttdeci">void sendSignInRequestResult(bool signInOk)</div></div>
<div class="ttc" id="class_login_dialog_html_a61f85a712804a0f90556a049d2374956"><div class="ttname"><a href="class_login_dialog.html#a61f85a712804a0f90556a049d2374956">LoginDialog::signIn</a></div><div class="ttdeci">void signIn()</div><div class="ttdef"><b>Definition:</b> LoginDialog.cpp:44</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html">dialogs</a></li><li class="navelem"><a class="el" href="dir_b29cb6d97a3da5ba604c2ad34cf7802e.html">LoginDialog</a></li><li class="navelem"><b>LoginDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
